﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication73
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            var slovenianCultureInfo = new CultureInfo("sl-SI");
            this.ultraDateTimeEditor2.FormatProvider = slovenianCultureInfo.DateTimeFormat;
            this.ultraDateTimeEditor2.MaskInput = "{date} {time}";
            this.ultraDateTimeEditor2.FormatString = slovenianCultureInfo.DateTimeFormat.ShortDatePattern + " " + slovenianCultureInfo.DateTimeFormat.LongTimePattern;

            this.ultraDateTimeEditor2.AutoFillTime = Infragistics.Win.UltraWinMaskedEdit.AutoFillTime.Midnight;
            this.ultraDateTimeEditor2.AutoFillDate = Infragistics.Win.UltraWinMaskedEdit.AutoFillDate.MonthAndYear;

            this.ultraDateTimeEditor2.Value = DateTime.Now;
        }
    }
}
